# Generated by Django 4.2.4 on 2023-08-31 08:27

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0006_guide_is_published_alter_guide_review1_text_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('header', models.TextField(max_length=170)),
                ('slug', models.SlugField(max_length=100, unique=True)),
                ('body', models.TextField(max_length=3000)),
                ('image', models.ImageField(upload_to='static/images/blog/', verbose_name='image')),
                ('created_date', models.DateField(default=django.utils.timezone.now, editable=False, verbose_name='created on')),
                ('is_featured', models.BooleanField(default=False, verbose_name='featured?')),
            ],
            options={
                'verbose_name': 'post',
                'verbose_name_plural': 'posts',
                'ordering': ('created_date',),
            },
        ),
    ]
